`timescale 10 ps / 1 ps

`define FPGA_VER_D 11
`define FPGA_VER_M 8
`define FPGA_VER_Y 22
`define TURBO_CLOCK_SELECT 49			// 49, 42, 35

module tb();

reg clk_spi, rst;
reg clk;
initial begin
      rst     <= 1'b1;
      clk_spi <= 1'b0;
      clk     <= 1'b1;
  #100 rst     <= 1'b0;
end

always #1 clk_spi <= ~clk_spi;
always #11 clk <= ~clk;

wire spi_scs, spi_sdo, spi_sdo_direct, spi_sdi, spi_sck, spi_sdi_out;

spi_gen spi_gen_inst (
  .clk(clk_spi),
  .rst(rst),
            .spi_cs ( spi_scs        ),
           .spi_sdo ( spi_sdo        ),
         .spi_sdo_d ( spi_sdo_direct ),
           .spi_sdi ( spi_sdi        ),
           .spi_sck ( spi_sck        ),
  .spi_sdi_as_output( spi_sdi_out    )
);


Mia #(
     .FPGA_D(`FPGA_VER_D),
     .FPGA_M(`FPGA_VER_M),
     .FPGA_Y(`FPGA_VER_Y),
  .CLK_TURBO(`TURBO_CLOCK_SELECT)
) Mia_inst (
        .clk( clk            ),
	      .scs( spi_scs        ),
	      .sdi( spi_sdo        ),
      .sdi_d( spi_sdo_direct ),
	      .sdo( spi_sdi        ),
	      .sck( spi_sck        ),
  .sdo_as_in( ~spi_sdi_out   ),

  .sram_rd(),
  .sram_hwr(),
  .sram_lwr(),
  .sram_data_out(),
  .sram_data_in(),
  .sram_addr_out(),

  .rst_out(),
  .bus_req()
);

wire aaa = (clk_spi) ? 1'b1 : 1'bz;

endmodule
